<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/root"
    android:background="@color/dialogbj">

    <RelativeLayout
        android:layout_centerHorizontal="true"
        android:layout_width="1000dp"
        android:layout_marginTop="20dp"
        android:layout_marginBottom="45dp"
        android:layout_height="match_parent"
        android:background="@drawable/common_bg_with_radius_and_border">

        <Button
            android:id="@+id/close_from_good"
            android:layout_width="70dp"
            android:layout_height="70dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:layout_marginEnd="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@mipmap/close_image"
            android:textSize="14dp"
            android:textColor="@color/white"/>

        <TextView
            android:id="@+id/makegoodtitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="星星知多少奶茶"
            android:textSize="32sp"
            android:paddingLeft="70dp"
            android:gravity="center"
            android:layout_centerHorizontal="true"
            android:maxLines="2"
            android:paddingRight="70dp"
            android:layout_marginTop="@dimen/dp_10">
        </TextView>

        <RelativeLayout
            android:layout_marginTop="50dp"
            android:layout_marginBottom="95dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <!--菜谱名称行-->
                <LinearLayout
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                </LinearLayout>

                <!--边框分割细线-->
                <LinearLayout
                    android:layout_alignParentBottom="true"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginBottom="5dp"
                    android:layout_marginStart="80dp"
                    android:layout_marginEnd="80dp"
                    android:background="@color/color3" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1">
                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">
                        <!-- 商品分类 -->
                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/datatab_makesx"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginTop="5dp"/>
                    </RelativeLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_marginBottom="50dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="end"
                    android:gravity="end"
                    android:visibility="gone"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_tip"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/app_color_blue"
                        tools:text="存在配方"
                        android:textSize="24dp"
                        android:layout_marginEnd="550dp"
                        />
                    <TextView
                        android:layout_marginLeft="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="今日制作"
                        android:textSize="24dp"/>

                    <TextView
                        android:id="@+id/chubeiliang"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="@dimen/dp_10"
                        android:paddingEnd="@dimen/dp_10"
                        android:fontFamily="cursive"
                        android:text="21"
                        android:textAlignment="center"
                        android:textColor="@color/app_color_blue"
                        android:textSize="28sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="cursive"
                        android:text="单"
                        android:textAlignment="viewStart"
                        android:textColor="@color/app_color_blue"
                        android:textSize="28sp"
                        android:textStyle="bold" />
                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>

        <Button
            android:layout_alignParentBottom="true"
            android:id="@+id/quzhizuo"
            android:layout_marginStart="100dp"
            android:layout_marginEnd="100dp"
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="@dimen/dp_10"
            android:background="@drawable/button3"
            android:text="去制作"
            android:textColor="@color/white"
            android:textSize="32sp"/>
    </RelativeLayout>
</RelativeLayout>